[
  {
    "code": "CHR00",
    "label": "Repos Hebdomadaire",
    "concise": "Repos Hebdo",
    "symbol": "CHR0R",
    "colorPaletteIndex": 0,
    "scheduleType": {
      "type": "REST",
      "attendance": {
        "minimumDuration": "00:00",
        "duration": "00:00",
        "maximumDuration": "00:00"
      }
    }
  },
  {
    "code": "CHR01",
    "label": "Semaine jour variable",
    "concise": "SEMAINE J.V",
    "symbol": "CHR1V",
    "colorPaletteIndex": 1,
    "scheduleType": {
      "type": "DAY",
      "attendance": {
        "minimumDuration": "07:15",
        "duration": "07:53",
        "maximumDuration": "08:30",
        "firstTimeslotDuration": "03:56",
        "secondTimeslotDuration": "03:57"
      },
      "scheduleType": {
        "type": "VARIABLE",
        "fixedTimeslotStartTime": "09:00",
        "fixedTimeslotEndTime": "17:00",
        "variableTimeslotStartTime": "08:30",
        "variableTimeslotEndTime": "17:30",
        "toleranceDurationBeforeVariableTimeslotStart": "00:00",
        "toleranceDurationAfterVariableTimeslotEnd": "00:00"
      },
      "lunchBreak": {
        "minimumDuration": "00:30",
        "maximumDuration": "00:45",
        "timeslotStartTime": "12:00",
        "timeslotEndTime": "13:00"
      },
      "shiftCode": " "
    }
  },
  {
    "code": "CHR02",
    "label": "Matin 06:00 - 14:00",
    "concise": "Matin 06:00",
    "symbol": "CHRAM",
    "colorPaletteIndex": 2,
    "scheduleType": {
      "type": "DAY",
      "attendance": {
        "minimumDuration": "01:00",
        "maximumDuration": "10:00",
        "firstTimeslotDuration": "04:00",
        "secondTimeslotDuration": "03:30"
      },
      "scheduleType": {
        "type": "FIXED",
        "startTime": "06:00",
        "endTime": "14:00",
        "toleranceDurationBeforeStart": "01:00",
        "toleranceDurationAfterEnd": "01:00"
      }
    }
  },
  {
    "code": "CHR03",
    "label": "Après-Midi 14:00 - 22:00",
    "concise": "Ap-Mi. 14:00",
    "symbol": "CHRMP",
    "colorPaletteIndex": 3,
    "scheduleType": {
      "type": "DAY",
      "attendance": {
        "minimumDuration": "01:00",
        "maximumDuration": "10:00",
        "firstTimeslotDuration": "04:00",
        "secondTimeslotDuration": "03:30"
      },
      "scheduleType": {
        "type": "FIXED",
        "startTime": "14:00",
        "endTime": "22:00",
        "toleranceDurationBeforeStart": "01:00",
        "toleranceDurationAfterEnd": "01:00"
      }
    }
  },
  {
    "code": "CHR04",
    "label": "Nuit 22:00 - 06:00",
    "concise": "Nuit 22:00",
    "symbol": "CHRNF",
    "colorPaletteIndex": 4,
    "scheduleType": {
      "type": "NIGHT",
      "attendance": {
        "minimumDuration": "01:00",
        "duration": "07:30",
        "maximumDuration": "10:00"
      },
      "scheduleType": {
        "type": "FIXED",
        "startTime": "22:00",
        "endTime": "06:00",
        "toleranceDurationBeforeStart": "01:00",
        "toleranceDurationAfterEnd": "01:00"
      }
    }
  },
  {
    "code": "CHR05",
    "label": "Nuit Var. 21:00 - 05:00",
    "concise": "Nuit V 21:00",
    "symbol": "CHRNV",
    "colorPaletteIndex": 5,
    "scheduleType": {
      "type": "NIGHT",
      "attendance": {
        "minimumDuration": "01:00",
        "duration": "07:30",
        "maximumDuration": "10:00"
      },
      "scheduleType": {
        "type": "VARIABLE",
        "fixedTimeslotStartTime": "21:00",
        "fixedTimeslotEndTime": "05:00",
        "variableTimeslotStartTime": "19:00",
        "variableTimeslotEndTime": "07:00"
      },
      "shiftCode": " "
    }
  }
]
